GH-CACHE-LIST(1)

NAME

gh-cache-list - List Github Actions caches

SYNOPSIS

gh cache list [flags]

OPTIONS

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-k, --key <string>
    Filter by cache key prefix

-L, --limit <int> (default 30)
    Maximum number of caches to fetch

-O, --order <string> (default "desc")
    Order of caches returned: {asc|desc}

-S, --sort <string> (default "last_accessed_at")
    Sort fetched caches: {created_at|last_accessed_at|size_in_bytes}

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    # List caches for current repository
    $ gh cache list
    # List caches for specific repository
    $ gh cache list --repo cli/cli
    # List caches sorted by least recently accessed
    $ gh cache list --sort last_accessed_at --order asc
    # List caches that have keys matching a prefix (or that match exactly)
    $ gh cache list --key key-prefix

SEE ALSO

gh-cache(1)